Public Member Functions | Public Attributes | List of all members
libebook::XMLTreeNode::QName Struct Reference

`#include <XMLTreeNode.h>`

## Public Member Functions
| QName ()
| QName (const LWCStringPtr_t &name, const LWCStringPtr_t &ns=LWCStringPtr_t())

## Public Attributes
LWCStringPtr_t | name
LWCStringPtr_t | ns

## Constructor & Destructor Documentation

## ◆ QName() [1/2]

libebook::XMLTreeNode::QName::QName | ( |  | ) |

## ◆ QName() [2/2]

libebook::XMLTreeNode::QName::QName | ( | const LWCStringPtr_t & | name,
|  | const LWCStringPtr_t & | ns = LWCStringPtr_t() )
| explicit

## Member Data Documentation

## ◆ name

LWCStringPtr_t libebook::XMLTreeNode::QName::name

Referenced by libebook::XMLTreeWalker::Attribute::getId().

## ◆ ns

LWCStringPtr_t libebook::XMLTreeNode::QName::ns

Referenced by libebook::XMLTreeWalker::Attribute::getId().

The documentation for this struct was generated from the following files:

- XMLTreeNode.h
- XMLTreeNode.cpp